techrar docs
Home
Solutions
Solutions
  • eCommerce SaaS
  • Meals SaaS
  • Meals Marketplaces
API
API
  • Merchant APIs
  • Customer App APIs
  • Meals APIs
Techrar Connect
Home
Solutions
Solutions
  • eCommerce SaaS
  • Meals SaaS
  • Meals Marketplaces
API
API
  • Merchant APIs
  • Customer App APIs
  • Meals APIs
Techrar Connect
  1. Place Order
  • SaaS Meal Subscription
  • Merchant APIs
    • List Merchant Orders
  • Customer APIs
    • Subscriptions
      • Subscriptions
        • List Subscriptions
        • Subscription Details
        • Change Subscription Location
        • Postpone/Pause/Resume SubOrders
        • Renew Subscription
        • List Subscription Orders
      • SubOrders
        • Customer SubOrders
        • Change SubOrder Location
        • Bulk Change Suborder Location
        • Change Meals
        • Change Delivery Window
        • Bulk Change Delivery Window
        • Bulk Change PickUp Branch
        • Frozen/Postponed SubOrders
        • Pre-Order
      • Complaints
        • Complain SubOrder
        • List Complaint Reasons
        • Complaint Details
      • invoices
        • List SubOrder Invoices
    • Plans
      • V3
        • Plan Tag
        • List Super Plans
        • Super Plan Details
        • Plan Date Details
        • List Feature Plan Tags
        • List Featured Plans
        • Plan Menu Categories
        • Has Purchased Plan
    • Order
      • Place Order
        • Place Order
          POST
        • List orders
          GET
        • Order Details
          GET
        • Vouchered Cart
          POST
        • Discounted Cart
          POST
        • Redeemed Cart
          POST
        • Add-On Order
          POST
        • Redeemed Add-Ons Cart
          POST
    • Menus
      • List Menus
      • Menu Details
      • Menu Add-Ons Details
      • Menu Options
    • Restaurant
      • List Restaurant
      • Restaurant Details
      • List Restaurant Branch
      • On-Demand Restaurants
      • Restaurant Menu
      • List Restaurant Categories
      • Product Details
      • Combo Details
      • Wallet Credit Products
      • Allergen Dislikes List
      • Product Variants List
      • Restaurant Variants List
    • Vouchers
      • Featured Vouchers List
    • configs
      • App Config Details
      • Light App Config
      • List Mobile Connectors
    • Prime
      • Corporate Location Details
  1. Place Order

Vouchered Cart

POST
https://api.techrar.com/api/v3/orders/vouchers-apply/
This endpoint allows customers to apply a voucher code and preview updated cart prices before placing an order

Request

Authorization
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
Header Params

Body Params application/jsonRequired

Examples

Responses

🟢200Success
application/json
Bodyapplication/json

Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://api.techrar.com/api/v3/orders/vouchers-apply/' \
--header 'app-id: 4' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
    "cart_id": null,
    "cart_items": [
        {
            "quantity": 1,
            "is_combo": false,
            "is_subscription": false,
            "combo": null,
            "product": null,
            "subscription": {
                "plan_id": 977,
                "dates": [
                    {
                        "date": "2025-07-10",
                        "options_ids": [
                            29145
                        ],
                        "variants": [
                            501
                        ],
                        "add_ons": [
                            {
                                "id": 2,
                                "quantity": 1
                            },
                            {
                                "id": 8,
                                "quantity": 1
                            }
                        ]
                    },
                    {
                        "date": "2025-07-11",
                        "options_ids": [
                            29165
                        ],
                        "variants": [
                            1
                        ],
                        "add_ons": [
                            {
                                "id": 2,
                                "quantity": 1
                            },
                            {
                                "id": 8,
                                "quantity": 1
                            }
                        ]
                    },
                    {
                        "date": "2025-07-12",
                        "options_ids": [
                            29185,
                            29145
                        ],
                        "variants": [
                            1,
                            0
                        ],
                        "add_ons": [
                            {
                                "id": 2,
                                "quantity": 1
                            },
                            {
                                "id": 8,
                                "quantity": 1
                            }
                        ]
                    },
                    {
                        "date": "2025-07-13",
                        "options_ids": [
                            29205
                        ],
                        "variants": [],
                        "add_ons": [
                            {
                                "id": 2,
                                "quantity": 1
                            },
                            {
                                "id": 8,
                                "quantity": 1
                            }
                        ]
                    },
                    {
                        "date": "2025-07-14",
                        "options_ids": [
                            29226,
                            29145
                        ],
                        "variants": [
                            0,
                            0
                        ],
                        "add_ons": [
                            {
                                "id": 2,
                                "quantity": 1
                            },
                            {
                                "id": 8,
                                "quantity": 1
                            }
                        ]
                    },
                    {
                        "date": "2025-07-15",
                        "options_ids": [
                            29246
                        ],
                        "add_ons": [
                            {
                                "id": 2,
                                "quantity": 1
                            },
                            {
                                "id": 8,
                                "quantity": 1
                            }
                        ]
                    },
                    {
                        "date": "2025-07-16",
                        "options_ids": [
                            29266
                        ],
                        "add_ons": [
                            {
                                "id": 2,
                                "quantity": 1
                            },
                            {
                                "id": 8,
                                "quantity": 1
                            }
                        ]
                    }
                ],
                "primary_location_id": 2697,
                "secondary_location_id": 2697,
                "notes": "-"
            }
        }
    ],
    "is_subscription": true,
    "notes": null,
    "secondary_mobile_number": null,
    "delivery_window_id": 74,
    "location": {
        "id": 2697,
        "is_corporate_location": false
    },
    "is_redeeming": true,
    "restaurant_id": 90
}'
Response Response Example
{
    "cart_price": 358.68,
    "discount_percentage": 0.0,
    "discounted_price": 20.0,
    "delivery_fee": 42.0,
    "total_price": 380.68,
    "is_prime": true,
    "prime_corporate_location_id": 12,
    "cashback_amount": 0.0
}
Modified at 2025-12-09 09:17:53
Previous
Order Details
Next
Discounted Cart
Built with